class_name SlutchBeast extends BeastModel

@export var theta_acceleration := 4.0

@onready var target_theta := global_rotation.y


func set_target_rotation(theta: float) -> void:
	target_theta = theta


func set_move_speed(_speed: float) -> void:
	pass  # TODO


func _process(delta: float) -> void:
	global_rotation.y = lerp_angle(
		global_rotation.y, target_theta, 1 - exp(-theta_acceleration * delta)
	)
